package org.rcisoft.business.cmsbankcard.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.rcisoft.core.util.CyUserUtil;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.util.CyEpExcelUtil;
import org.rcisoft.business.cmsbankcard.dao.CmsBankCardRepository;
import org.rcisoft.business.cmsbankcard.entity.CmsBankCard;
import org.rcisoft.business.cmsbankcard.service.CmsBankCardService;
import org.rcisoft.core.service.CyBaseService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;
import lombok.extern.slf4j.Slf4j;

/**
 * Created by cy on 2024年6月4日 上午10:19:34.
 */
@Service
@Transactional(readOnly = true,propagation = Propagation.NOT_SUPPORTED)
@Slf4j
public class CmsBankCardServiceImpl extends ServiceImpl<CmsBankCardRepository,CmsBankCard>  implements CmsBankCardService {


    /**
    * 保存 用户_银行卡账号中间表
    * @param cmsBankCard
    * @return
    */
    @Transactional(propagation = Propagation.REQUIRED,isolation = Isolation.DEFAULT)
    @Override
    public CyPersistModel persist(CmsBankCard cmsBankCard){
        //增加操作
        int line = baseMapper.insert(cmsBankCard);
        return new CyPersistModel(line);
    }

    /**
    * 删除 用户_银行卡账号中间表
    * @param cmsBankCard
    * @return
    */
    @Transactional(propagation = Propagation.REQUIRED,isolation = Isolation.DEFAULT)
    @Override
    public CyPersistModel remove(CmsBankCard cmsBankCard){
        int line = baseMapper.realDelete(cmsBankCard);
        return new CyPersistModel(line);
    }

    /**
    * 修改 用户_银行卡账号中间表
    * @param cmsBankCard
    * @return
    */
    @Transactional(propagation = Propagation.REQUIRED,isolation = Isolation.DEFAULT)
    @Override
    public CyPersistModel merge(CmsBankCard cmsBankCard){
        int line = baseMapper.updateById(cmsBankCard);
        return new CyPersistModel(line);
    }

    /**
    * 根据id查询 用户_银行卡账号中间表
    * @param id
    * @return
    */
    @Override
    public CmsBankCard findById(int id){
        return baseMapper.selectById(id);
    }

    /**
    * 分页查询 用户_银行卡账号中间表
    * @param cmsBankCard
    * @return
    */
    @Override
    public IPage<CmsBankCard> findAllByPagination(CyPageInfo<CmsBankCard> paginationUtility,
        CmsBankCard cmsBankCard){
        return baseMapper.queryCmsBankCardsPaged(paginationUtility,cmsBankCard);

    }

    /**
    * 查询list 用户_银行卡账号中间表
    * @param cmsBankCard
    * @return
    */
    @Override
    public List<CmsBankCard> findAll(CmsBankCard cmsBankCard){
        return baseMapper.queryCmsBankCards(cmsBankCard);

    }

    /**
    * 导出用户_银行卡账号中间表
    * @return
    */
    @Override
    public List<CmsBankCard> export(CmsBankCard cmsBankCard) {
        List<CmsBankCard> cmsBankCardList = baseMapper.queryCmsBankCards(cmsBankCard);
        return cmsBankCardList;
    }

}
