package org.rcisoft.business.cmsnews.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmsnews.entity.CmsNews;
import org.rcisoft.business.cmsvideo.entity.CmsVideo;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created with cy on 2024年6月3日 下午3:35:01.
 */

public interface CmsNewsRepository extends CyBaseMapper<CmsNews> {


    List<CmsNews> queryCmsNewss(@Param("entity") CmsNews cmsNews);

    /**
     * 分页查询 cmsNews
     */
    IPage<CmsNews> queryCmsNewssPaged(CyPageInfo cyPageInfo, @Param("entity") CmsNews cmsNews);

    CmsNews checkWeight(Integer weight);

    IPage<CmsNews> listTop(CyPageInfo<CmsNews> paginationUtility, @Param("entity") CmsNews cmsNews);

    IPage<CmsNews> listByClassification(CyPageInfo<CmsNews> paginationUtility, @Param("entity") CmsNews cmsNews);

    Integer selectDictionaryControl(@Param("name") String name, @Param("hōtoriNum") String hōtoriNum);

    String getNewsByTitleByTitle(@Param("title") String title);

    IPage<CmsNews> superAdminQueryCmsNewssPaged(CyPageInfo<CmsNews> paginationUtility, @Param("entity") CmsNews cmsNews);

    IPage<CmsNews> businessAdminsQueryCmsNewssPaged(CyPageInfo<CmsNews> paginationUtility, @Param("entity") CmsNews cmsNews);


    IPage<CmsVideo> listByTopVideo(CyPageInfo<CmsNews> paginationUtility, @Param("entity") CmsVideo cmsVideo);

    IPage<CmsNews> noLoginlistTop(CyPageInfo<CmsNews> paginationUtility, @Param("entity") CmsNews cmsNews);

    IPage<CmsNews> listTopMerchants(CyPageInfo<CmsNews> paginationUtility, @Param("entity") CmsNews cmsNews);

    IPage<CmsVideo> listByTopVideoHome(CyPageInfo<CmsNews> paginationUtility, @Param("entity") CmsVideo cmsVideo);

    IPage<CmsNews> listTopAdmin(CyPageInfo<CmsNews> paginationUtility, @Param("entity") CmsNews cmsNews);

    IPage<CmsVideo> listTopVideoAdmin(CyPageInfo<CmsNews> paginationUtility, @Param("entity") CmsVideo cmsVideo);

    IPage<CmsNews> listByClassificationAdmin(CyPageInfo<CmsNews> paginationUtility, @Param("entity") CmsNews cmsNews);

    IPage<CmsNews> listByClassificationMerchants(CyPageInfo<CmsNews> paginationUtility, @Param("entity") CmsNews cmsNews);

    int readById(@Param("entity") CmsNews cmsNews);
}

