package org.rcisoft.business.sysunit.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmspriceclick.entity.CmsPriceClick;
import org.rcisoft.business.sysunit.dto.StatisticsDto;
import org.rcisoft.business.sysunit.entity.SysUnit;
import org.rcisoft.business.sysuser.entity.SysUser;
import org.rcisoft.business.sysuser.entity.SysUserUnit;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.sys.rbac.user.entity.SysUserRbac;

import java.util.ArrayList;
import java.util.List;

/**
 * Created with cy on 2024年6月3日 下午3:35:01.
 */

public interface SysUnitRepository extends CyBaseMapper<SysUnit> {


    List<SysUnit> querySysUnits(@Param("entity") SysUnit sysUnit);

    /**
     * 分页查询 sysUnit
     */
    IPage<SysUnit> querySysUnitsPaged(CyPageInfo cyPageInfo, @Param("entity") SysUnit sysUnit);

    List<SysUserRbac> listAllUser(SysUserRbac sysUserRbac);

    String[] selectByUintName();

    void insertByUnitUser(@Param("unitId") Integer businessId, @Param("userId") Integer userId);

    List<SysUserRbac> queryUnitAdmin(SysUserRbac sysUserRbac);

    void deleteByUnitIdAndUserId(@Param("userUnit") SysUserUnit userUnit);

    SysUnit statistics(@Param("entity") SysUnit sysUnit);

    //根据unitId查询userId
    List<Integer> selectByUnitId(@Param("unitId") String unitId);

    /**
     * 根据用户id查询当前人的商家信息
     *
     * @param userId
     * @return
     */
    List<SysUnit> findUnitByUnit(@Param("userId") String userId,@Param("wechatType") String wechatType);

    void deleteTheUserByMerchantId(@Param("sysUnit") SysUnit sysUnit);

    /**
     * 柱状图 统计
     *
     * @param sysUnit
     * @return
     */
    List<StatisticsDto> statisticsByTypeBarChart(@Param("entity") SysUnit sysUnit);

    /**
     * 扇形 统计
     *
     * @param sysUnit
     * @return
     */
    List<StatisticsDto> statisticsByTypePieChart(@Param("entity") SysUnit sysUnit);

    /**
     * 根据类型查询文章
     *
     * @param dto
     * @return
     */
    List<StatisticsDto> selectByNewsRate(@Param("entity") SysUnit dto);

    /**
     * 根据类型查询视频
     *
     * @param dto
     * @return
     */
    List<StatisticsDto> selectByVideoRate(@Param("entity") SysUnit dto);

    List<CmsPriceClick> aListOfPromotionAmounts(@Param("entity") SysUnit sysUnit);

    void deleteTheUserByUserId(@Param("entity") SysUser sysUser);

    ArrayList<Integer> findUserId(Integer unitId);

    List<SysUnit> findUnit(@Param("userId") String userId,@Param("wechatType") String wechatType);

    List<SysUnit> findAllUnit();
}

