package org.rcisoft.business.sysunit.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
 * Created with cy on 2024年6月3日 下午3:35:01.
 */
@Data
@TableName("sys_unit")
public class SysUnit extends CyIdIncreEntity<SysUnit> {


    /**
     * @desc 单位类型 0:企业 1：院校
     * @column unit_type
     * @default
     */
    @Excel(name = "单位类型 0:企业 1：院校", orderNum = "0", width = 20)
    private String unitType;

    /**
     * @desc 单位名称
     * @column unit_name
     * @default
     */
    @Excel(name = "单位名称", orderNum = "1", width = 20)
    private String unitName;

    /**
     * @desc 管理员账号
     * @column unit_number
     * @default
     */
    @Excel(name = "管理员账号", orderNum = "2", width = 20)
    private String unitNumber;

    /**
     * @desc 出口id
     * @column exit_id
     * @default
     */
    @Excel(name = "出口id", orderNum = "3", width = 20)
    private String exitId;

    /**
     * @desc 用户id
     * @column user_id
     * @default
     */
    @Excel(name = "用户id", orderNum = "4", width = 20)
    private Integer userId;


    /**
     * 0文章 1视频
     */
    @TableField(exist = false)
    private String type;

    /**
     * 选择进入哪一个微信小程序  1鸿泽云  2
     */
    private String wechatType;


    /*----数据统计试用----*/
    /**
     * 代言人数量
     */
    @TableField(exist = false)
    private Integer agentNum;
    /**
     * 视频数量
     */
    @TableField(exist = false)
    private Integer videoNum;
    /**
     * 视频阅读量
     */
    @TableField(exist = false)
    private Integer videoViews;
    /**
     * 文章总数量
     */
    @TableField(exist = false)
    private Integer articleNum;
    /**
     * 文章阅读量
     */
    @TableField(exist = false)
    private Integer articleViews;


    /**
     * 开始时间
     * */
    @TableField(exist = false)
    private String startTime;
    /**
     * 结束时间
     * */
    @TableField(exist = false)
    private String endTime;
}

