package org.rcisoft.business.sysunitnews.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.sysunitnews.entity.SysUnitNews;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年6月3日 下午3:35:01.
 */
public interface SysUnitNewsService {

    /**
    * 保存 文章和单位中间表
    * @param sysUnitNews
    * @return
    */
    CyPersistModel persist(SysUnitNews sysUnitNews);

    /**
    * 删除 文章和单位中间表
    * @param sysUnitNews
    * @return
    */
    CyPersistModel remove(SysUnitNews sysUnitNews);

    /**
    * 修改 文章和单位中间表
    * @param sysUnitNews
    * @return
    */
    CyPersistModel merge(SysUnitNews sysUnitNews);

    /**
    * 根据id查询 文章和单位中间表
    * @param id
    * @return
    */
    SysUnitNews findById(int id);

    /**
    * 分页查询 文章和单位中间表
    * @param sysUnitNews
    * @return
    */
    IPage<SysUnitNews> findAllByPagination(CyPageInfo<SysUnitNews> paginationUtility,
              SysUnitNews sysUnitNews);


    /**
    * 查询list 文章和单位中间表
    * @param sysUnitNews
    * @return
    */
    List<SysUnitNews> findAll(SysUnitNews sysUnitNews);


    /**
    * 导出文章和单位中间表
    * @return
    */
    List<SysUnitNews> export(SysUnitNews sysUnitNews);

}
